From 949d9171c398c998293ada1ab0b887d05815b323 Mon Sep 17 00:00:00 2001
From: Douglas Hammond <wizhippo@gmail.com>
Date: Wed, 6 Jul 2011 16:43:00 -0400
Subject: [PATCH] Fix wrong operator and string string concatination

---
 lib/ezfile/classes/ezfile.php |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/lib/ezfile/classes/ezfile.php b/lib/ezfile/classes/ezfile.php
index d19102b..2daf737 100644
--- a/lib/ezfile/classes/ezfile.php
+++ b/lib/ezfile/classes/ezfile.php
@@ -253,11 +253,11 @@ class eZFile
         header(
             "Content-Disposition: " .
             ( $isAttachedDownload ? 'attachment' : 'inline' ) .
-            ( $overrideFilename !== false ) ? "; filename={$overrideFilename}" : ''
+            ( ( $overrideFilename !== false ) ? "; filename={$overrideFilename}" : '' )
         );
 
         // partial download (HTTP 'Range' header)
-        if ( $startOffset !== 0 || $length !== false )
+        if ( $startOffset !== 0 && $length !== false )
         {
             $endOffset = ( $length !== false ) ? ( $length + $startOffset - 1 ) : $fileSize - 1;
             header( "Content-Range: bytes {$startOffset}-{$endOffset}/{$fileSize}" );
-- 
1.7.5.1

